Name: sed
Version: 3.02
Release: alt2
Serial: 1

Summary: A GNU stream text editor
Group: Editors
License: GPL
Url: http://www.gnu.org/software/sed/

%def_with test

Source: ftp://ftp.gnu.org/pub/gnu/sed/sed-%version.tar.bz2
Source1: subst.tar.gz

Patch1: %name-3.02-alt-texinfo.patch
Patch2: %name-3.02-rh-doc.patch

Provides: /bin/sed, %_bindir/subst, %name = 0:3.02-ipl12mdk
Requires(post,preun): %__install_info

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q -a1
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build
%{?_with_test:make -k check}
%make_build -C subst

%install
%makeinstall
%__mv $RPM_BUILD_ROOT%_bindir $RPM_BUILD_ROOT/bin
make -C subst install

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
/bin/*
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*
%doc ANNOUNCE BUGS NEWS README TODO

%changelog
* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 1:3.02-alt2
- Provides: %name = 0:3.02-ipl12mdk.

* Wed Aug 28 2002 Dmitry V. Levin <ldv@altlinux.org> 1:3.02-alt1
- Minor specfile cleanup; changed release numbering.
- Additional convention enforcement on patch file names.
- Implemented and added to this package: %_bindir/subst.
- Removed stale URLs from documentation (rh).
- Added run of testcase after build.

* Mon Mar 04 2002 Stanislav Ievlev <inger@altlinux.ru> 3.02-ipl11mdk
- Rebuilt.

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 3.02-ipl10mdk
- RE adaptions.
- Fixed texinfo documentation.

* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.02-10mdk
- BM
- let spechelper compress info & manpages
- remove packager tag

* Sun Jun 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.02-9mdk
- Use makeinstall macros.

* Thu Apr 13 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.02-8mdk
- Changed group, little fixes in the spec.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.02

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.01

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- removed references to the -g option from the man page that we add

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
